package com.springbook.biz.board.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.springbook.biz.board.BoardService;
import com.springbook.biz.board.BoardVO;

@Service("boardService")
public class BoardServiceImpl implements BoardService {

	@Autowired
	private BoardDAO boardDAO;

	@Override
	public void insertBoard(BoardVO vo) {
		//		if(vo.getSeq() == 0 ) {
		//			throw new IllegalArgumentException("0번 글은 등록할 수 없습니다.");
		//		}
		boardDAO.insertBoard(vo);
	}

	@Override
	public void updateBoard(BoardVO vo) {
		boardDAO.updateBoard(vo);
	};

	@Override
	public void deleteBoard(BoardVO vo) {
		boardDAO.deleteBoard(vo);
	};

	@Override
	public BoardVO getBoard(BoardVO vo) {
		return boardDAO.getBoard(vo);
	};

	@Override
	public List<BoardVO> getBoardList(BoardVO vo) {
		return boardDAO.getBoardList(vo);
	}

	@Override
	public void cleanUp(BoardVO vo) {
		vo.setSeq(0);;
		vo.setTitle(null);;
		vo.setWriter(null);;
		vo.setContent(null);;
		vo.setRegDate(null);;;
		vo.setCnt(0);;
		vo.setSearchCondition(null);;
		vo.setSearchKeyword(null);;
	};
}
